"""Dump a bkmk database to a text file

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['writer_txt']


from bkmk_objects import Writer

ind_s = " "*4


class writer_txt(Writer):
   filename = "dump.txt"

   def root_folder(self, f):
      self.outfile.write("Folder: %s\n" % f.name)

   def start_folder(self, f, level):
      self.outfile.write(ind_s*level + "Folder: %s\n" % f.name)

   def end_folder(self, f, level):
      self.outfile.write(ind_s*level + "Folder end: %s\n" % f.name)

   def bookmark(self, b, level):
      self.outfile.write(ind_s*(level+1) + "Bookmark: %s\n" % b.name)

   def ruler(self, r, level):
      self.outfile.write(ind_s*(level+1) + "-----\n")
